ApiWebhooks
Create webhook subscription
POST
Creates an active webhook subscription. The secret is returned only once.
bearerAuthheader
AuthorizationBearer <token>application/json- body
description?stringevents?array<>target_url?stringFormat
uri[key: string]?anySuccessful response
application/json- response
data?[key: string]?anycurl -X POST 'https://api.agiled.ai/public/v1/webhook-subscriptions' \ -H 'Content-Type: application/json' \ -d '{ "description": "Production CRM webhooks", "events": [ "contact.created", "invoice.paid" ], "target_url": "https://example.com/agiled/webhooks"}'Example Response
{ "data": { "description": "string", "events": [ "contact.created" ], "id": "string", "last_delivery_at": "string", "secret": "string", "status": "string", "target_url": "http://example.com" }}